Package com.sas.services.storedprocess

# Class WebDAVPackageURLResultHints

java.lang.Object
com.sas.services.storedprocess.ResultHints
com.sas.services.storedprocess.WebDAVPackageURLResultHints

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class WebDAVPackageURLResultHints extends ResultHints
Deprecated.
This ResultHints sub-class specfies hints for the RESULT_TYPE_PERMANENT_WEBDAV_PACKAGE result type and subtype ResultHints.HINT_SUBTYPE_WEBDAV_URL. This hint allows the specification of any URL as the location for the package. While the destination collection need not exist, any intermediate collection must exist. This class does not support the creation of a unique instance of the collection for each execution of the stored process as enabled by `ResultHints.setNewInstanceCreated(boolean)`.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.storedprocess.ResultHints

  `HINT_SUBTYPE_NA, HINT_SUBTYPE_SET, HINT_SUBTYPE_WEBDAV_DAVSERVER, HINT_SUBTYPE_WEBDAV_URL, HINT_SUBTYPE_WEBDAV_USER_PR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollectionURL()`
  Deprecated.
  Gets the collection URL of the package.
  `String`
  `getProxyURL()`
  Deprecated.
  Gets the proxy URL for the WebDAV server.
  `void`
  `setCollectionURL(String collectionURL)`
  Deprecated.
  Sets the collection URL of the package.
  `void`
  `setCredentials(String userName, String password)`
  Deprecated.
  Sets the user name and password for the WebDAV server.
  `void`
  `setDomain(String domainName)`
  Deprecated.
  Sets the authentication domain of the WebDAV server.
  `void`
  `setProxyURL(String proxyURL)`
  Deprecated.
  Sets the proxy URL for the WebDAV server.

  ### Methods inherited from class com.sas.services.storedprocess.ResultHints

  `clone, getResultLocation, isLifecycleBound, isNewInstanceCreated, setLifecycleBound, setNewInstanceCreated`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setCollectionURL

    public void setCollectionURL(String collectionURL)
    Deprecated.
    Sets the collection URL of the package.
    Parameters:
      `collectionURL` - the package collection URL.

  - ### getCollectionURL

    public String getCollectionURL()
    Deprecated.
    Gets the collection URL of the package.
    Returns:
      the package collection URL.

  - ### setProxyURL

    public void setProxyURL(String proxyURL)
    Deprecated.
    Sets the proxy URL for the WebDAV server.
    Parameters:
      `proxyURL` - the proxy URL for the WebDAV server.

  - ### getProxyURL

    public String getProxyURL()
    Deprecated.
    Gets the proxy URL for the WebDAV server.
    Returns:
      the proxy URL for the WebDAV server.

  - ### setCredentials

    public void setCredentials(String userName, String password)
    Deprecated.
    Sets the user name and password for the WebDAV server. If set, this takes precedence over any domain specified. To reset (treat as if never set) call this method with null arguments for both parameters.
    Parameters:
      `userName` - the user name for the WebDAV server.
      `password` - the password for the WebDAV server.

  - ### setDomain

    public void setDomain(String domainName)
    Deprecated.
    Sets the authentication domain of the WebDAV server.
    Parameters:
      `domainName` - the authentication domain of the WebDAV server.
    See Also:
      - `setCredentials(String, String)`